From 70d476cd875f77622680e612f90a6b09a02b3b94 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 05:45:36 +0000
Subject: [PATCH 825/2232] Match symlink_file's signature on windows


---

diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index 5f6243f..96e3708 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -99,9 +99,11 @@ pub(crate) fn search_parents_for_target_dir(out_dir: &Path) -> TargetDir {
 pub(crate) use self::fs::symlink_file as symlink_or_copy;
 
 #[cfg(windows)]
-pub(crate) fn symlink_or_copy(src: &Path, dst: &Path) -> Result<()> {
+pub(crate) fn symlink_or_copy(src: impl AsRef<Path>, dst: impl AsRef<Path>) -> Result<()> {
     // Pre-Windows 10, symlinks require admin privileges. Since Windows 10, they
     // require Developer Mode. If it fails, fall back to copying the file.
+    let src = src.as_ref();
+    let dst = dst.as_ref();
     if fs::symlink_file(src, dst).is_err() {
         fs::copy(src, dst)?;
     }

